import { Program } from '@babel/types';
export type AttributeValueFormatter = (value: string, attributeName?: string, tagName?: string, attributes?: any) => string;
export interface LoaderOptions {
    appPath: string;
    platform: string;
    preprocess?: {
        attributeValueFormatter?: AttributeValueFormatter;
        transformAst?: (ast: Program, generateFunc: any) => string;
    };
}
export declare function chainLoaderConfiguration(config: any, options: LoaderOptions): void;
